You are not logged in.

#1 2016-07-14 19:46:57

ziu
Member
Registered: 2013-02-05
Posts: 8

Mkinitcpio error while upgrading to 4.6.3 kernel on i586 architecture

Hello,

I own an Alix board (AMD Geode CPU) which acts as CUPS/SANE/proxy server.
While upgrading to the latest kernel, the automatic initramfs generation fails with the following message:

ERROR: kernel version extraction from image not supported for `i586' architecture

Even if I directly point mkinitcpio to the kernel path, the same error appears.

As I have already successfully upgraded the kernel with pacman, I would like to understand the root cause of this problem and how to proceed next.

Thank you

Offline

#2 2016-07-14 19:50:03

headkase
Member
Registered: 2011-12-06
Posts: 1,850

Re: Mkinitcpio error while upgrading to 4.6.3 kernel on i586 architecture

The minimum for Arch is an i686, not i586.  If you were previously successful that does not mean you'll always be successful if you are below that minimum.

Online

#3 2016-07-14 21:09:01

ziu
Member
Registered: 2013-02-05
Posts: 8

Re: Mkinitcpio error while upgrading to 4.6.3 kernel on i586 architecture

headkase wrote:

The minimum for Arch is an i686, not i586.  If you were previously successful that does not mean you'll always be successful if you are below that minimum.

Arch runs on that Geode processor since November 2012. Moreover, all the other packages from the i686 branch run just fine.
I am pretty sure there is a way to force mkinitcpio to consider the board as a generic i686.
The architecture check is very fresh. Maybe I should consider to file a ticket to override the architecture check (or do a mkinitcpio rollback).

Offline

#4 2016-07-14 21:11:46

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,110
Website

Re: Mkinitcpio error while upgrading to 4.6.3 kernel on i586 architecture

The problem is https://git.archlinux.org/mkinitcpio.gi … e017ecb0e8

I didn't expect i586 to actually exist anymore... You can modify /bin/mkinitcpio until a new release fixes this.

Offline

#5 2016-07-14 22:00:18

ziu
Member
Registered: 2013-02-05
Posts: 8

Re: Mkinitcpio error while upgrading to 4.6.3 kernel on i586 architecture

falconindy wrote:

The problem is https://git.archlinux.org/mkinitcpio.gi … e017ecb0e8

I didn't expect i586 to actually exist anymore... You can modify /bin/mkinitcpio until a new release fixes this.

Yep the Alix is an old board and the Geode lx800 a strange beast. I confirm that adding "i586" to the test at the line #101  fixes the initramfs generation.

Offline

Board footer

Powered by FluxBB